Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigedit.cvs
Class CvsFrame

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ProtocolFrame
                                    |
                                    +--org.w3c.jigsaw.frames.HTTPFrame
                                          |
                                          +--org.w3c.jigsaw.frames.PostableFrame
                                                |
                                                +--org.w3c.jigedit.cvs.CvsFrame

public class CvsFrame
extends PostableFrame

Field Summary
`protected static HttpCacheControl` | `CACHE_CONTROL_NOCACHE`
`protected static HttpTokenList` | `PRAGMA_NOCACHE`

Fields inherited from class org.w3c.jigsaw.frames.PostableFrame
`ATTR_CONVERT_GET, ATTR_OVERIDE`

Fields inherited from class org.w3c.jigsaw.frames.HTTPFrame
`acceptRanges, allowed, ATTR_ALLOW_DEL, ATTR_BROWSABLE, ATTR_CHARSET, ATTR_CONTENT_ENCODING, ATTR_CONTENT_LANGUAGE, ATTR_CONTENT_LENGTH, ATTR_CONTENT_TYPE, ATTR_ICON, ATTR_ICONDIR, ATTR_INDEX, ATTR_INDEXES, ATTR_MAXAGE, ATTR_MD5, ATTR_PUTABLE, ATTR_QUALITY, ATTR_RELOCATE, ATTR_STYLE_LINK, ATTR_TITLE, browsetype, COND_FAILED, COND_OK, COND_WEAK, dresource, fresource, listing, listing_stamp, STATE_CONTENT_LOCATION`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`CvsFrame()`

Method Summary
`protected static void` | `addStyle(HtmlGenerator g)`
`protected static Reply` | `error(CvsFrame cvsframe, Request request, java.lang.String msg, CvsException ex)` Emit an HTML error message.
`protected static Reply` | `error(CvsFrame cvsframe, Request request, java.lang.String msg, java.lang.String details)` Emit an HTML error message.
`protected static Reply` | `error(Request request, java.lang.String msg, CvsException ex)` Emit an HTML error message.
`protected static Reply` | `error(Request request, java.lang.String msg, java.lang.String details)` Emit an HTML error message.
`Reply` | `get(Request request)` Dump the content of the directory as a CVS form.
`protected java.lang.String` | `getAction(Request request)`
`protected CvsDirectory` | `getCvsManager()` Get the CVS manager associated with this resource, or create it.
`static HtmlGenerator` | `getHtmlGenerator(CvsFrame cvsframe, java.lang.String title)` Like getHtmlGenerator(String), and add the frame style sheet.
`static HtmlGenerator` | `getHtmlGenerator(java.lang.String title)` Get an HtmlGenerator with some style defined: tags with style BODY CAPTION P.error A A.alphalink H1.center Some DIV DIV.box DIV.boxcenter DIV.error Some SPAN .warning .title .status .statusok .titleblack
`protected FramedResource` | `getResourceFor(java.lang.String name)` Get a suitable FramedResource to display the given cvs'ed file.
`Reply` | `handle(Request request, URLDecoder data)` This is were we handle the big post request.
`protected boolean` | `isIndexed(java.lang.String name)`
`protected boolean` | `lookupOther(LookupState ls, LookupResult lr)` Lookup method for the CVS manager.
`protected Reply` | `performDirectoryAction(java.lang.String action, Request request, URLDecoder data)` Perform the given action on the underlying directory as a whole.
`protected void` | `refresh(Request request)`
`void` | `registerResource(FramedResource resource)` Register the resource and add CvsProperties in httpd.

Methods inherited from class org.w3c.jigsaw.frames.PostableFrame
`getAllow, getConvertGetFlag, getOverrideFlag, post`

Methods inherited from class org.w3c.jigsaw.frames.HTTPFrame
`addStyleSheet, attributeChanged, browse, checkExpect, checkIfMatch, checkIfModifiedSince, checkIfNoneMatch, checkIfUnmodifiedSince, checkRequest, checkValidators, computeContainerListing, computeETag, computeTrashDir, computeTrashFile, createDefaultReply, createFileReply, delete, deleteDirectoryResource, deleteFileResource, deleteMe, deleteOtherResource, extended, getAllowDeleteFlag, getBrowsableFlag, getBrowseType, getCharset, getContentEncoding, getContentLanguage, getContentLength, getContentType, getDirectoryListing, getDirectoryResource, getDirectoryResource, getETag, getFileResource, getFileResource, getHelpURL, getHelpURL, getIcon, getIconDirectory, getIndex, getIndexes, getMaxAge, getMD5Flag, getOtherResource, getPutableFlag, getQuality, getRelocateFlag, getStyleSheetURL, getTitle, getURL, handleRangeRequest, head, headDirectoryResource, headFileResource, headOtherResource, initialize, link, lookup, lookupDirectory, lookupFile, lookupResource, options, perform, performFrames, pickleValues, put, putFileResource, putOtherResource, registerOtherResource, setValue, trace, unlink, updateCachedHeaders`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, postFrameEvent, processEvent, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, markModified, notifyUnload, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHE_CONTROL_NOCACHE

    protected static HttpCacheControl CACHE_CONTROL_NOCACHE

### PRAGMA_NOCACHE

    protected static HttpTokenList PRAGMA_NOCACHE

Constructor Detail

### CvsFrame

    public CvsFrame()

Method Detail

### addStyle

    protected static void addStyle(HtmlGenerator g)

### getHtmlGenerator

    public static HtmlGenerator getHtmlGenerator(java.lang.String title)

  Get an HtmlGenerator with some style defined:
  tags with style
  - BODY
  - CAPTION
  - P.error
  - A
  - A.alphalink
  - H1.center
  Some DIV
  - DIV.box
  - DIV.boxcenter
  - DIV.error
  Some SPAN
  - .warning
  - .title
  - .status
  - .statusok
  - .titleblack
  Parameters:
    `title` - The document title.
  Returns:
    a HtmlGenerator instance.

### getHtmlGenerator

    public static HtmlGenerator getHtmlGenerator(CvsFrame cvsframe,
                                                 java.lang.String title)

  Like getHtmlGenerator(String), and add the frame style sheet.
  Parameters:
    `title` - The document title.
  Returns:
    a HtmlGenerator instance.

### error

    protected static Reply error(Request request,
                                 java.lang.String msg,
                                 CvsException ex)

  Emit an HTML error message.
  Parameters:
    `request` - The request that trigered the error.
    `msg` - The error message.
    `ex` - The CvsException that happened while processing the request.
  Returns:
    An HTTP reply.

### error

    protected static Reply error(Request request,
                                 java.lang.String msg,
                                 java.lang.String details)

  Emit an HTML error message.
  Parameters:
    `request` - The request that trigered the error.
    `msg` - The error message.
  Returns:
    An HTTP reply.

### error

    protected static Reply error(CvsFrame cvsframe,
                                 Request request,
                                 java.lang.String msg,
                                 CvsException ex)

  Emit an HTML error message.
  Parameters:
    `cvsframe` - The CvsFrame sending this error.
    `request` - The request that trigered the error.
    `msg` - The error message.
    `ex` - The CvsException that happened while processing the request.
  Returns:
    An HTTP reply.

### error

    protected static Reply error(CvsFrame cvsframe,
                                 Request request,
                                 java.lang.String msg,
                                 java.lang.String details)

  Emit an HTML error message.
  Parameters:
    `cvsframe` - The CvsFrame sending this error
    `request` - The request that trigered the error.
    `msg` - The error message.
  Returns:
    An HTTP reply.

### getResourceFor

    protected FramedResource getResourceFor(java.lang.String name)

  Get a suitable FramedResource to display the given cvs'ed file.
  Parameters:
    `name` - The name of the file.
  Returns:
    A CvsEntryResource, or null if none was found.

### getCvsManager

    protected CvsDirectory getCvsManager()

  Get the CVS manager associated with this resource, or create it.

### isIndexed

    protected boolean isIndexed(java.lang.String name)

### performDirectoryAction

    protected Reply performDirectoryAction(java.lang.String action,
                                           Request request,
                                           URLDecoder data)
                                    throws ProtocolException

  Perform the given action on the underlying directory as a whole.
  Parameters:
    `action` - The action to perform.
    `request` - The request that triggered the action.
    `data` - The decoded form data.
  Returns:
    A suitable HTTP reply.
  Throws:
    ProtocolException - if a protocol error occurs

### registerResource

    public void registerResource(FramedResource resource)

  Register the resource and add CvsProperties in httpd.
  Overrides:
    registerResource in class HTTPFrame
  Parameters:
    `resource` - The resource to register.

### lookupOther

    protected boolean lookupOther(LookupState ls,
                                  LookupResult lr)
                           throws ProtocolException

  Lookup method for the CVS manager. Lookup for a cvs entry object having the given name, if found, wrap it into a CvsEntryResource object and return it.
  Overrides:
    lookupOther in class HTTPFrame
  Parameters:
    `ls` - The current lookup state.
    `lr` - The (under construction) lookup result.
  Throws:
    ProtocolException - if a protocol error occurs

### refresh

    protected void refresh(Request request)
                    throws ProtocolException

### get

    public Reply get(Request request)
              throws ProtocolException

  Dump the content of the directory as a CVS form. The resulting form allows for trigerring actions on the various files.
  Overrides:
    get in class PostableFrame
  Throws:
    ProtocolException - if a protocol error occurs

### getAction

    protected java.lang.String getAction(Request request)
                                  throws HTTPException

### handle

    public Reply handle(Request request,
                        URLDecoder data)
                 throws ProtocolException

  This is were we handle the big post request.
  Overrides:
    handle in class PostableFrame
  Throws:
    ProtocolException - if a protocol error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD